/*******************************************************************************
* File Name: AC_Volts.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AC_Volts_ALIASES_H) /* Pins AC_Volts_ALIASES_H */
#define CY_PINS_AC_Volts_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define AC_Volts_0			(AC_Volts__0__PC)
#define AC_Volts_0_PS		(AC_Volts__0__PS)
#define AC_Volts_0_PC		(AC_Volts__0__PC)
#define AC_Volts_0_DR		(AC_Volts__0__DR)
#define AC_Volts_0_SHIFT	(AC_Volts__0__SHIFT)
#define AC_Volts_0_INTR	((uint16)((uint16)0x0003u << (AC_Volts__0__SHIFT*2u)))

#define AC_Volts_INTR_ALL	 ((uint16)(AC_Volts_0_INTR))


#endif /* End Pins AC_Volts_ALIASES_H */


/* [] END OF FILE */
