/*******************************************************************************
* File Name: Ambient_Light.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Ambient_Light_ALIASES_H) /* Pins Ambient_Light_ALIASES_H */
#define CY_PINS_Ambient_Light_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define Ambient_Light_0			(Ambient_Light__0__PC)
#define Ambient_Light_0_PS		(Ambient_Light__0__PS)
#define Ambient_Light_0_PC		(Ambient_Light__0__PC)
#define Ambient_Light_0_DR		(Ambient_Light__0__DR)
#define Ambient_Light_0_SHIFT	(Ambient_Light__0__SHIFT)
#define Ambient_Light_0_INTR	((uint16)((uint16)0x0003u << (Ambient_Light__0__SHIFT*2u)))

#define Ambient_Light_INTR_ALL	 ((uint16)(Ambient_Light_0_INTR))


#endif /* End Pins Ambient_Light_ALIASES_H */


/* [] END OF FILE */
