/*******************************************************************************
* File Name: SWDCLK.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SWDCLK_ALIASES_H) /* Pins SWDCLK_ALIASES_H */
#define CY_PINS_SWDCLK_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define SWDCLK_0			(SWDCLK__0__PC)
#define SWDCLK_0_PS		(SWDCLK__0__PS)
#define SWDCLK_0_PC		(SWDCLK__0__PC)
#define SWDCLK_0_DR		(SWDCLK__0__DR)
#define SWDCLK_0_SHIFT	(SWDCLK__0__SHIFT)
#define SWDCLK_0_INTR	((uint16)((uint16)0x0003u << (SWDCLK__0__SHIFT*2u)))

#define SWDCLK_INTR_ALL	 ((uint16)(SWDCLK_0_INTR))


#endif /* End Pins SWDCLK_ALIASES_H */


/* [] END OF FILE */
