/*******************************************************************************
* File Name: XRES.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_XRES_ALIASES_H) /* Pins XRES_ALIASES_H */
#define CY_PINS_XRES_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define XRES_0			(XRES__0__PC)
#define XRES_0_PS		(XRES__0__PS)
#define XRES_0_PC		(XRES__0__PC)
#define XRES_0_DR		(XRES__0__DR)
#define XRES_0_SHIFT	(XRES__0__SHIFT)
#define XRES_0_INTR	((uint16)((uint16)0x0003u << (XRES__0__SHIFT*2u)))

#define XRES_INTR_ALL	 ((uint16)(XRES_0_INTR))


#endif /* End Pins XRES_ALIASES_H */


/* [] END OF FILE */
