/*******************************************************************************
* File Name: SLCK.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SLCK_ALIASES_H) /* Pins SLCK_ALIASES_H */
#define CY_PINS_SLCK_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define SLCK_0			(SLCK__0__PC)
#define SLCK_0_PS		(SLCK__0__PS)
#define SLCK_0_PC		(SLCK__0__PC)
#define SLCK_0_DR		(SLCK__0__DR)
#define SLCK_0_SHIFT	(SLCK__0__SHIFT)
#define SLCK_0_INTR	((uint16)((uint16)0x0003u << (SLCK__0__SHIFT*2u)))

#define SLCK_INTR_ALL	 ((uint16)(SLCK_0_INTR))


#endif /* End Pins SLCK_ALIASES_H */


/* [] END OF FILE */
